package hsmw.jotto5.beleg.views;

import hsmw.jotto5.beleg.data.Model;

import java.io.IOException;
import java.io.OutputStream;
import com.sun.net.httpserver.*;

public class TreeView implements HttpHandler {

	public void handle(HttpExchange t) throws IOException {
		String response;
		OutputStream os;
		Model m;

		m = Model.getModel();

		response = Defaults.HTMLHEADER + "<h1>Beleg - Objekt&uuml;bersicht</h1><ul>";

		for ( String s : m.getAllUids() ) {
			response += "<li><a href=\"/object/" + s + "\">" + s + "</a></li>";
		}

		response += "</ul>" + Defaults.HTMLFOOTER;

		os = t.getResponseBody();

		t.sendResponseHeaders(200, response.length());
		os.write(response.getBytes());
		os.close();
	}

}
